Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.rmi.CORBA
Interface Tie

All Superinterfaces:
  InvokeHandler

public interface Tie
extends InvokeHandler

Defines methods which all RMI-IIOP server side ties must implement.

Method Summary
`void` | `deactivate()` Deactivates the target object represented by this tie.
`Remote` | `getTarget()` Returns the target for this tie.
`ORB` | `orb()` Returns the ORB for this tie.
`void` | `orb(ORB orb)` Sets the ORB for this tie.
`void` | `setTarget(Remote target)` Called by `Util.registerTarget(javax.rmi.CORBA.Tie, java.rmi.Remote)` to set the target for this tie.
`Object` | `thisObject()` Returns an object reference for the target object represented by this tie.

Methods inherited from interface org.omg.CORBA.portable.InvokeHandler
`_invoke`

Method Detail

### thisObject

    public Object thisObject()

  Returns an object reference for the target object represented by this tie.

  Returns:
    an object reference for the target object.

### deactivate

    public void deactivate()
                    throws NoSuchObjectException

  Deactivates the target object represented by this tie.

    `NoSuchObjectException`

### orb

    public ORB orb()

  Returns the ORB for this tie.

  Returns:
    the ORB.

### orb

    public void orb(ORB orb)

  Sets the ORB for this tie.

  Parameters:
    `orb` - the ORB.

### setTarget

    public void setTarget(Remote target)

  Called by `Util.registerTarget(javax.rmi.CORBA.Tie, java.rmi.Remote)` to set the target for this tie.

  Parameters:
    `target` - the object to use as the target for this tie.

### getTarget

    public Remote getTarget()

  Returns the target for this tie.

  Returns:
    the target.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.